#include "Interrupt.h"

u16 timerCount = 0;
u8 chosenPalette_ = 0;
u8 deathDelay = FALSE;

void interruptHandler()
{
    //scan for any keyboard changes
    cpct_scanKeyboard_if();

    if(timerCount++ > 320 )
	{
		timerCount = 0;
		deathDelay = FALSE;

        if(waterLevel)
        {
            cpct_setPalette(waterPalettes[chosenPalette_], 16);

            ++chosenPalette_;

            if(chosenPalette_ > 3)
            {
                chosenPalette_ = 0;
            }
        }
    }
}