#ifndef INTERACTABLE_H
#define INTERACTABLE_H

#define INTERACTABLE_DOOR_RED 1
#define INTERACTABLE_DOOR_GREEN 2
#define INTERACTABLE_DOOR_YELLOW 3
#define INTERACTABLE_CARD_READER_RED 4
#define INTERACTABLE_CARD_READER_GREEN 5
#define INTERACTABLE_CARD_READER_YELLOW 6
#define INTERACTABLE_CAVE_ENTRANCE_OPEN 7
#define INTERACTABLE_CAVE_ENTRANCE_LOCKED 8
#define INTERACTABLE_CAVE_ENTRANCE_COMPLETED 9
#define INTERACTABLE_SWITCH_OFF 10
#define INTERACTABLE_SWITCH_ON 11
#define INTERACTABLE_LASER_GATE 12
#define INTERACTABLE_TELEPORTER_OFF 13
#define INTERACTABLE_TELEPORTER_ON 14
#define INTERACTABLE_BRIDGE_BASE_LEFT 15
#define INTERACTABLE_BRIDGE_LEFT 16
#define INTERACTABLE_BRIDGE_BASE_RIGHT 17
#define INTERACTABLE_BRIDGE_RIGHT 18
#define INTERACTABLE_WATER_BLOCKER 19
#define INTERACTABLE_ELECTRIC_DOOR_RED 20
#define INTERACTABLE_ELECTRIC_DOOR_GREEN 21
#define INTERACTABLE_ELECTRIC_DOOR_YELLOW 22
#define INTERACTABLE_MINE 23
#define INTERACTABLE_GESTURE_PLANT 24
#define INTERACTABLE_GROWING_PLANT_1 25
#define INTERACTABLE_GROWING_PLANT_2 26
#define INTERACTABLE_GROWING_PLANT_3 27
#define INTERACTABLE_CARD_READER_OFF 28
#define INTERACTABLE_DIRT_CRACK 29

// Indicates that it is a boss which needs to be looked up in the boss array.
#define INTERACTABLE_BOSS_INDICATOR 30

// Indicates that it is an enemy which needs to be looked up in the enemy array.
#define INTERACTABLE_ENEMY_INDICATOR 31

#endif